Index: unk/LMDZ.COMMON/libf/dyn3d/logic.h
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d/logic.h	(revision 1442)
+++ 	(revision )
@@ -1,32 +1,0 @@
-!
-! $Id: logic.h 1520 2011-05-23 11:37:09Z emillour $
-!
-!
-! NB: keep items of different kinds in seperate common blocs to avoid
-!     "misaligned commons" issues
-!-----------------------------------------------------------------------
-! INCLUDE 'logic.h'
-
-      COMMON/logicl/ purmats,forward,leapf,apphys,                      &
-     &  statcl,conser,apdiss,apdelq,saison,ecripar,fxyhypb,ysinus       &
-     &  ,read_start,ok_guide,ok_strato,tidal,ok_gradsfile               &
-     &  ,ok_limit,ok_etat0,hybrid                                       &
-     &  ,moyzon_mu,moyzon_ch,grireg,physic
-
-      COMMON/logici/ iflag_phys,iflag_trac
-      
-      LOGICAL purmats,forward,leapf,apphys,statcl,conser,               &
-     & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus                      &
-     &  ,read_start,ok_guide,ok_strato,tidal,ok_gradsfile               &
-     &  ,ok_limit,ok_etat0
-
-      logical hybrid ! vertical coordinate is hybrid if true (sigma otherwise)
-                     ! (only used if disvert_type==2)
-      logical moyzon_mu,moyzon_ch ! used for zonal averages in Titan
-
-      integer iflag_phys,iflag_trac
-
-! stuff for compatibility with Mars/Generic old dyn cores. To be cleaned!
-      logical grireg,physic
-
-!-----------------------------------------------------------------------
Index: unk/LMDZ.COMMON/libf/dyn3d/temps.h
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d/temps.h	(revision 1442)
+++ 	(revision )
@@ -1,34 +1,0 @@
-!
-! $Id: temps.h 1577 2011-10-20 15:06:47Z fairhead $
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez  n'utiliser que des ! pour les commentaires
-!                 et  bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!
-! jD_ref = jour julien de la date de reference (lancement de l'experience)
-! hD_ref = "heure" julienne de la date de reference
-!-----------------------------------------------------------------------
-! INCLUDE 'temps.h'
-
-      COMMON/temps_r/dt,jD_ref,jH_ref,start_time,hour_ini
-      COMMON/temps_i/day_ini,day_end,annee_ref,day_ref,                 &
-     &             itau_dyn,itau_phy,itaufin
-      COMMON/temps_c/calend
-
-
-      INTEGER   itaufin ! total number of dynamical steps for the run
-      INTEGER   itau_dyn, itau_phy
-      INTEGER   day_ini ! initial day # of simulation sequence
-      INTEGER   day_end ! final day # ; i.e. day # when this simulation ends
-      INTEGER   annee_ref
-      INTEGER   day_ref
-      REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
-      REAL      jD_ref, jH_ref, start_time
-      CHARACTER (len=10) :: calend
-
-      ! Additionnal Mars stuff:
-      real hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)
-
-!-----------------------------------------------------------------------
Index: unk/LMDZ.COMMON/libf/dyn3d_common/ener.h
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/ener.h	(revision 1442)
+++ 	(revision )
@@ -1,18 +1,0 @@
-!
-! $Id: ener.h 1447 2010-10-22 16:18:27Z jghattas $
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez à n'utiliser que des ! pour les commentaires
-!                 et à bien positionner les & des lignes de continuation 
-!                 (les placer en colonne 6 et en colonne 73)
-!
-! INCLUDE 'ener.h'
-
-      COMMON/ener/ang0,etot0,ptot0,ztot0,stot0,                         &
-     &            ang,etot,ptot,ztot,stot,rmsdpdt ,                     &
-     &            rmsv,gtot(llmm1)
-
-      REAL ang0,etot0,ptot0,ztot0,stot0,                                &
-     &     ang,etot,ptot,ztot,stot,rmsdpdt,rmsv,gtot
-
-!-----------------------------------------------------------------------
Index: /trunk/LMDZ.COMMON/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/fxhyp_m.F90	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dyn3d_common/fxhyp_m.F90	(revision 1443)
@@ -22,10 +22,8 @@
     use nrtype, only: pi, pi_d, twopi, twopi_d, k8
     use principal_cshift_m, only: principal_cshift
+    use serre_mod, only: clon,grossismx,dzoomx,taux
 
     include "dimensions.h"
     ! for iim
-
-    include "serre.h"
-    ! for clon, grossismx, dzoomx, taux
 
     REAL, intent(out):: xprimm025(:), rlonv(:), xprimv(:) ! (iim + 1)
Index: /trunk/LMDZ.COMMON/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/fyhyp_m.F90	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dyn3d_common/fyhyp_m.F90	(revision 1443)
@@ -18,10 +18,8 @@
     use coefpoly_m, only: coefpoly
     use nrtype, only: k8
+    use serre_mod, only: clat, dzoomy, grossismy, tauy
 
     include "dimensions.h"
     ! for jjm
-
-    include "serre.h"
-    ! for clat, grossismy, dzoomy, tauy
 
     REAL, intent(out):: rlatu(jjm + 1), yyprimu(jjm + 1)
Index: /trunk/LMDZ.COMMON/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 1443)
@@ -11,10 +11,8 @@
     use coefpoly_m, only: coefpoly
     use nrtype, only: pi, pi_d, twopi_d, k8
+    use serre_mod, only: clon
 
     include "dimensions.h"
     ! for iim
-
-    include "serre.h"
-    ! for clon
 
     REAL(K8), intent(in):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
Index: /trunk/LMDZ.COMMON/libf/dyn3d_common/principal_cshift_m.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/principal_cshift_m.F90	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dyn3d_common/principal_cshift_m.F90	(revision 1443)
@@ -12,10 +12,8 @@
 
     use nrtype, only: twopi
+    use serre_mod, only: clon
 
     include "dimensions.h"
     ! for iim
-
-    include "serre.h"
-    ! for clon
 
     integer, intent(in):: is2
Index: unk/LMDZ.COMMON/libf/dyn3d_common/serre.h
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/serre.h	(revision 1442)
+++ 	(revision )
@@ -1,11 +1,0 @@
-!
-! $Header$
-!
-!c
-!c
-!c..include serre.h
-!c
-       REAL clon,clat,transx,transy,alphax,alphay,pxo,pyo,              &
-     &  grossismx, grossismy, dzoomx, dzoomy,taux,tauy
-       COMMON/serre/clon,clat,transx,transy,alphax,alphay,pxo,pyo ,     &
-     &  grossismx, grossismy, dzoomx, dzoomy,taux,tauy
Index: unk/LMDZ.COMMON/libf/dyn3dpar/logic.h
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3dpar/logic.h	(revision 1442)
+++ 	(revision )
@@ -1,29 +1,0 @@
-!
-! $Id: logic.h 1520 2011-05-23 11:37:09Z emillour $
-!
-!
-! NB: keep items of different kinds in seperate common blocs to avoid
-!     "misaligned commons" issues
-!-----------------------------------------------------------------------
-! INCLUDE 'logic.h'
-
-      COMMON/logicl/ purmats,forward,leapf,apphys,                      &
-     &  statcl,conser,apdiss,apdelq,saison,ecripar,fxyhypb,ysinus       &
-     &  ,read_start,ok_guide,ok_strato,tidal,ok_gradsfile               &
-     &  ,ok_limit,ok_etat0,hybrid                                       &
-     &  ,moyzon_mu,moyzon_ch
-
-      COMMON/logici/ iflag_phys,iflag_trac
-      
-      LOGICAL purmats,forward,leapf,apphys,statcl,conser,               &
-     & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus                      &
-     &  ,read_start,ok_guide,ok_strato,tidal,ok_gradsfile               &
-     &  ,ok_limit,ok_etat0
-      logical hybrid ! vertical coordinate is hybrid if true (sigma otherwise)
-                     ! (only used if disvert_type==2)
-      logical moyzon_mu,moyzon_ch ! used for zonal averages in Titan
-
-      integer iflag_phys,iflag_trac
-!$OMP THREADPRIVATE(/logicl/)
-!$OMP THREADPRIVATE(/logici/)
-!-----------------------------------------------------------------------
Index: unk/LMDZ.COMMON/libf/dyn3dpar/temps.h
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3dpar/temps.h	(revision 1442)
+++ 	(revision )
@@ -1,35 +1,0 @@
-!
-! $Id: temps.h 1577 2011-10-20 15:06:47Z fairhead $
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez  n'utiliser que des ! pour les commentaires
-!                 et  bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!
-! jD_ref = jour julien de la date de reference (lancement de l'experience)
-! hD_ref = "heure" julienne de la date de reference
-!-----------------------------------------------------------------------
-! INCLUDE 'temps.h'
-
-      COMMON/temps_r/dt,jD_ref,jH_ref,start_time,hour_ini
-      COMMON/temps_i/day_ini,day_end,annee_ref,day_ref,                 &
-     &             itau_dyn,itau_phy,itaufin
-      COMMON/temps_c/calend
-
-
-      INTEGER   itaufin ! total number of dynamical steps for the run
-      INTEGER   itau_dyn, itau_phy
-      INTEGER   day_ini ! initial day # of simulation sequence
-      INTEGER   day_end ! final day # ; i.e. day # when this simulation ends
-      INTEGER   annee_ref
-      INTEGER   day_ref
-      REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
-      REAL      jD_ref, jH_ref, start_time
-      CHARACTER (len=10) :: calend
-
-      ! Additionnal Mars stuff:
-      real hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)
-
-!$OMP THREADPRIVATE(/temps_r/,/temps_i/,/temps_c/)
-!-----------------------------------------------------------------------
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/ini_archive.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/ini_archive.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/ini_archive.F	(revision 1443)
@@ -37,9 +37,5 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
 #include "description.h"
-#include "serre.h"
 #include "netcdf.inc"
 
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/newstart.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/newstart.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/newstart.F	(revision 1443)
@@ -28,5 +28,9 @@
      .                       aps,bps,scaleheight,pseudoalt,
      .                       disvert_type,pressure_exner
-
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,
+     &                     dzoomx,dzoomy,taux,tauy
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+      USE logic_mod, ONLY: iflag_trac,fxyhypb,ysinus
+      USE temps_mod, ONLY: day_ref,annee_ref
       implicit none
 
@@ -35,9 +39,5 @@
 #include "comdissnew.h"
 #include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
 #include "description.h"
-#include "serre.h"
 #include "dimsoil.h"
 #include "netcdf.inc"
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/readstart.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/readstart.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/readstart.F	(revision 1443)
@@ -10,5 +10,9 @@
      .                       aps,bps,scaleheight,pseudoalt,
      .                       disvert_type,pressure_exner
-      
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+      USE temps_mod, ONLY: day_ref,annee_ref,day_ini,itau_dyn,
+     &                     start_time
+      USE logic_mod, ONLY: fxyhypb,ysinus,iflag_trac
       IMPLICIT NONE
 
@@ -30,10 +34,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "temps.h"
 #include "comgeom.h"
-#include "ener.h"
 #include "description.h"
-#include "serre.h"
-#include "logic.h"
 #include "netcdf.inc"
 
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/start2archive.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/start2archive.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/start2archive.F	(revision 1443)
@@ -25,4 +25,5 @@
      .                       aps,bps,scaleheight,pseudoalt,
      .                       disvert_type,pressure_exner
+      USE logic_mod, ONLY: iflag_trac
 
       implicit none
@@ -32,7 +33,4 @@
 #include "comdissnew.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
 #include "description.h"
 #include "dimsoil.h"
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/write_archive.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/write_archive.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/write_archive.F	(revision 1443)
@@ -43,5 +43,4 @@
 #include "comgeom.h"
 #include "description.h"
-#include "temps.h"
 #include "netcdf.inc"
 
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/writerestart.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/writerestart.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/writerestart.F	(revision 1443)
@@ -19,9 +19,6 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "ener.h"
-#include "logic.h"
 #include "netcdf.inc"
 #include "description.h"
-#include "serre.h"
 
 c   Arguments:
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/ini_archive.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/ini_archive.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/ini_archive.F	(revision 1443)
@@ -37,9 +37,5 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
 #include "description.h"
-#include "serre.h"
 #include "netcdf.inc"
 
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/newstart.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/newstart.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/newstart.F	(revision 1443)
@@ -28,5 +28,9 @@
      .                       aps,bps,scaleheight,pseudoalt,
      .                       disvert_type,pressure_exner
-
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,
+     &                     dzoomx,dzoomy,taux,tauy
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+      USE logic_mod, ONLY: iflag_trac,fxyhypb,ysinus
+      USE temps_mod, ONLY: day_ref,annee_ref
       implicit none
 
@@ -35,9 +39,5 @@
 #include "comdissnew.h"
 #include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
 #include "description.h"
-#include "serre.h"
 #include "dimsoil.h"
 #include "netcdf.inc"
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/readstart.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/readstart.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/readstart.F	(revision 1443)
@@ -10,5 +10,9 @@
      .                       aps,bps,scaleheight,pseudoalt,
      .                       disvert_type,pressure_exner
-      
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+      USE temps_mod, ONLY: day_ref,annee_ref,day_ini,itau_dyn,
+     &                     start_time
+      USE logic_mod, ONLY: fxyhypb,ysinus,iflag_trac
       IMPLICIT NONE
 
@@ -30,10 +34,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "temps.h"
 #include "comgeom.h"
-#include "ener.h"
 #include "description.h"
-#include "serre.h"
-#include "logic.h"
 #include "netcdf.inc"
 
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/start2archive.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/start2archive.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/start2archive.F	(revision 1443)
@@ -25,4 +25,5 @@
      .                       aps,bps,scaleheight,pseudoalt,
      .                       disvert_type,pressure_exner
+      USE logic_mod, ONLY: iflag_trac
 
       implicit none
@@ -32,7 +33,4 @@
 #include "comdissnew.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
 #include "description.h"
 #include "dimsoil.h"
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/write_archive.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/write_archive.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/write_archive.F	(revision 1443)
@@ -43,5 +43,4 @@
 #include "comgeom.h"
 #include "description.h"
-#include "temps.h"
 #include "netcdf.inc"
 
Index: /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/writerestart.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/writerestart.F	(revision 1442)
+++ /trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/writerestart.F	(revision 1443)
@@ -19,9 +19,6 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "ener.h"
-#include "logic.h"
 #include "netcdf.inc"
 #include "description.h"
-#include "serre.h"
 
 c   Arguments:
Index: /trunk/LMDZ.TITAN/libf/phytitan/clmain.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/clmain.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/clmain.F	(revision 1443)
@@ -144,5 +144,4 @@
 c======================================================================
 c
-#include "temps.h"
       LOGICAL zxli ! utiliser un jeu de fonctions simples
       PARAMETER (zxli=.FALSE.)
Index: unk/LMDZ.TITAN/libf/phytitan/dyn1d/logic.h
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/logic.h	(revision 1442)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/logic.h
Index: /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/logic_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/logic_mod.F90	(revision 1443)
+++ /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/logic_mod.F90	(revision 1443)
@@ -0,0 +1,1 @@
+link ../../dyn3d/logic_mod.F90
Index: /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/rcm1d.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/rcm1d.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/rcm1d.F	(revision 1443)
@@ -32,5 +32,4 @@
 #include "comcstfi.h"
 #include "netcdf.inc"
-#include "logic.h"
 #include "clesphys.h"
 #include "iniprint.h"
Index: unk/LMDZ.TITAN/libf/phytitan/dyn1d/temps.h
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/temps.h	(revision 1442)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/temps.h
Index: /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/temps_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/temps_mod.F90	(revision 1443)
+++ /trunk/LMDZ.TITAN/libf/phytitan/dyn1d/temps_mod.F90	(revision 1443)
@@ -0,0 +1,1 @@
+link ../../dyn3d/temps_mod.F90
Index: /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1443)
@@ -15,4 +15,5 @@
       USE comgeomphy,  only: rlatd,rlond
       USE control_mod, only: raz_date
+      USE temps_mod, only: itau_phy
 
 implicit none
@@ -26,5 +27,4 @@
 #include "clesphys.h"
 #include "tabcontrol.h"
-#include "temps.h"
 !======================================================================
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1443)
@@ -14,4 +14,5 @@
       USE comgeomphy,  only: rlatd,rlond
       USE control_mod, only: raz_date
+      USE temps_mod, only: day_end, annee_ref, itau_phy
 
       implicit none
@@ -25,5 +26,4 @@
 #include "clesphys.h"
 #include "tabcontrol.h"
-#include "temps.h"
 !======================================================================
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1443)
@@ -72,4 +72,6 @@
       USE moyzon_mod
       USE write_field_phy
+      USE temps_mod, only: itau_phy,day_ref,annee_ref
+      USE logic_mod, only: iflag_trac,moyzon_ch,moyzon_mu
       IMPLICIT none
 c======================================================================
@@ -85,7 +87,5 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "temps.h"
 #include "iniprint.h"
-#include "logic.h"
 #include "tabcontrol.h"
 #include "comorbit.h"
Index: /trunk/LMDZ.TITAN/libf/phytitan/phytrac.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/phytrac.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/phytrac.F	(revision 1443)
@@ -45,4 +45,5 @@
       USE moyzon_mod
       USE write_field_phy
+      USE logic_mod, ONLY: moyzon_ch,moyzon_mu
       IMPLICIT none
 #include "dimensions.h"
@@ -52,5 +53,4 @@
 #include "varmuphy.h"
 #include "itemps.h"
-#include "logic.h"
 
 c======================================================================
Index: /trunk/LMDZ.TITAN/libf/phytitan/readstartphy.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/readstartphy.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/readstartphy.F	(revision 1443)
@@ -19,5 +19,4 @@
 #include "netcdf.inc"
 #include "dimsoil.h"
-#include "temps.h"
 c======================================================================
       integer ngridmx
Index: /trunk/LMDZ.TITAN/libf/phytitan/scal_wind.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/scal_wind.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/scal_wind.F	(revision 1443)
@@ -15,5 +15,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comgeom.h"
 
 c   Arguments:
Index: /trunk/LMDZ.TITAN/libf/phytitan/wind_scal.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/wind_scal.F	(revision 1442)
+++ /trunk/LMDZ.TITAN/libf/phytitan/wind_scal.F	(revision 1443)
@@ -15,5 +15,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comgeom.h"
 
 c   Arguments:
Index: /trunk/LMDZ.VENUS/libf/phyvenus/clmain.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 1443)
@@ -144,5 +144,4 @@
 c======================================================================
 c
-#include "temps.h"
       LOGICAL zxli ! utiliser un jeu de fonctions simples
       PARAMETER (zxli=.FALSE.)
Index: unk/LMDZ.VENUS/libf/phyvenus/dyn1d/logic.h
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/logic.h	(revision 1442)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/logic.h
Index: /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/logic_mod.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/logic_mod.F90	(revision 1443)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/logic_mod.F90	(revision 1443)
@@ -0,0 +1,1 @@
+link ../../dyn3d/logic_mod.F90
Index: /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1443)
@@ -34,5 +34,4 @@
 #include "comcstfi.h"
 #include "netcdf.inc"
-#include "logic.h"
 #include "clesphys.h"
 #include "iniprint.h"
Index: unk/LMDZ.VENUS/libf/phyvenus/dyn1d/temps.h
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/temps.h	(revision 1442)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../dyn3d/temps.h
Index: /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/temps_mod.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/temps_mod.F90	(revision 1443)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/temps_mod.F90	(revision 1443)
@@ -0,0 +1,1 @@
+link ../../dyn3d/temps_mod.F90
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1443)
@@ -15,4 +15,5 @@
       USE comgeomphy,  only: rlatd,rlond
       USE control_mod, only: raz_date
+      USE temps_mod, only: itau_phy
 
 implicit none
@@ -26,5 +27,4 @@
 #include "clesphys.h"
 #include "tabcontrol.h"
-#include "temps.h"
 !======================================================================
 
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1443)
@@ -14,4 +14,5 @@
       USE comgeomphy,  only: rlatd,rlond
       USE control_mod, only: raz_date
+      USE temps_mod, only: day_end, annee_ref, itau_phy
 
       implicit none
@@ -25,5 +26,4 @@
 #include "clesphys.h"
 #include "tabcontrol.h"
-#include "temps.h"
 !======================================================================
 
Index: /trunk/LMDZ.VENUS/libf/phyvenus/physiq.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/physiq.F	(revision 1443)
@@ -70,4 +70,6 @@
       use moyzon_mod, only: tmoy
       use ieee_arithmetic
+      use temps_mod, only: itau_phy,day_ref,annee_ref
+      use logic_mod, only: iflag_trac
       IMPLICIT none
 c======================================================================
@@ -84,8 +86,6 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "temps.h"
 #include "iniprint.h"
 #include "timerad.h" 
-#include "logic.h"
 #include "tabcontrol.h"
 #include "nirdata.h"
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_emiss.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_emiss.F	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_emiss.F	(revision 1443)
@@ -37,5 +37,4 @@
 #include "dimensions.h"
 #include "clesphys.h"
-#include "temps.h"
 #include "paramet.h"
 c======================================================================
Index: /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_relax.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_relax.F	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/phytrac_relax.F	(revision 1443)
@@ -34,5 +34,4 @@
 #include "dimensions.h"
 #include "clesphys.h"
-#include "temps.h"
 #include "paramet.h"
 c======================================================================
Index: /trunk/LMDZ.VENUS/libf/phyvenus/readstartphy.F
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/readstartphy.F	(revision 1442)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/readstartphy.F	(revision 1443)
@@ -19,5 +19,4 @@
 #include "netcdf.inc"
 #include "dimsoil.h"
-#include "temps.h"
 c======================================================================
       integer ngridmx